<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["efetuar"] == true) {
$char = $_GET["r_personagem"];
$ver_char = mssql_num_rows(mssql_query("select name from character where accountid='".$_SESSION["login"]."'"));
$ver_on = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$_SESSION["login"]."'"));
if($char == "") {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
elseif($ver_on[0] > 0) {
	exit($bbcode->bbcode('<div class="box_conteudo">É necessário estar deslogado</div>'));
}
else{
	$dados = mssql_fetch_row(mssql_query("select clevel,money,".colum_reset." from character where name='".$char."'"));
	$vip = mssql_fetch_row(mssql_query("select ".colum_vip." from memb_info where memb___id='".$_SESSION["login"]."'"));
	if($RESET["CONFIGS"]["TYPE"] == 0) {
		if($vip[0] == 0) {
			if($dados[0] < $RESET["ACUMULATIVO"]["LEVEL"][0]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário estar no level '.$RESET["ACUMULATIVO"]["LEVEL"][0].'</div>'));
			}
			elseif($dados[1] < $RESET["ACUMULATIVO"]["ZEN"][0]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário ter '.$RESET["ACUMULATIVO"]["ZEN"][0].' de zen</div>'));
			}
			else{
				mssql_query("update character set clevel='".$RESET["ACUMULATIVO"]["AFTER_LEVEL"][0]."',".colum_reset."=".colum_reset."+1,money=money-'".$RESET["ACUMULATIVO"]["ZEN"][0]."',experience='0' where name='".$char."'");
				exit($bbcode->bbcode('<div class="box_conteudo">Personagem resetado com sucesso</div>'));
			}
		}if($vip[0] == 1) {
			if($dados[0] < $RESET["ACUMULATIVO"]["LEVEL"][1]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário estar no level '.$RESET["ACUMULATIVO"]["LEVEL"][1].'</div>'));
			}
			elseif($dados[1] < $RESET["ACUMULATIVO"]["ZEN"][1]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário ter '.$RESET["ACUMULATIVO"]["ZEN"][1].' de zen</div>'));
			}
			else{
				mssql_query("update character set clevel='".$RESET["ACUMULATIVO"]["AFTER_LEVEL"][1]."',".colum_reset."=".colum_reset."+1,money=money-'".$RESET["ACUMULATIVO"]["ZEN"][1]."',experience='0' where name='".$char."'");
				exit($bbcode->bbcode('<div class="box_conteudo">Personagem resetado com sucesso</div>'));
			}
		}
		if($vip[0] == 2) {
			if($dados[0] < $RESET["ACUMULATIVO"]["LEVEL"][2]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário estar no level '.$RESET["ACUMULATIVO"]["LEVEL"][2].'</div>'));
			}
			elseif($dados[1] < $RESET["ACUMULATIVO"]["ZEN"][2]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário ter '.$RESET["ACUMULATIVO"]["ZEN"][2].' de zen</div>'));
			}
			else{
				mssql_query("update character set clevel='".$RESET["ACUMULATIVO"]["AFTER_LEVEL"][2]."',".colum_reset."=".colum_reset."+1,money=money-'".$RESET["ACUMULATIVO"]["ZEN"][2]."',experience='0' where name='".$char."'");
				exit($bbcode->bbcode('<div class="box_conteudo">Personagem resetado com sucesso</div>'));
			}
		}
	}if($RESET["CONFIGS"]["TYPE"] == 1) {
		if($vip[0] == 0) {
			if($dados[0] < $RESET["PONTUATIVO"]["LEVEL"][0]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário estar no level '.$RESET["PONTUATIVO"]["LEVEL"][0].'</div>'));
			}
			elseif($dados[1] < $RESET["PONTUATIVO"]["ZEN"][0]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário ter '.$RESET["PONTUATIVO"]["ZEN"][0].' de zen</div>'));
			}
			else{
				$point = $dados[2]*$RESET["PONTUATIVO"]["POINTS"][0];
				mssql_query("update character set leveluppoint='".$point."',clevel='".$RESET["PONTUATIVO"]["AFTER_LEVEL"][0]."',".colum_reset."=".colum_reset."+1,money=money-'".$RESET["PONTUATIVO"]["ZEN"][0]."',experience='0',strength='0',dexterity='0',vitality='0',energy='0' where name='".$char."'");
				exit($bbcode->bbcode('<div class="box_conteudo">Personagem resetado com sucesso</div>'));
			}
		}if($vip[0] == 1) {
			if($dados[0] < $RESET["PONTUATIVO"]["LEVEL"][1]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário estar no level '.$RESET["PONTUATIVO"]["LEVEL"][1].'</div>'));
			}
			elseif($dados[1] < $RESET["PONTUATIVO"]["ZEN"][1]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário ter '.$RESET["PONTUATIVO"]["ZEN"][1].' de zen</div>'));
			}
			else{
				$point = $dados[2]*$RESET["PONTUATIVO"]["POINTS"][1];
				mssql_query("update character set leveluppoint='".$point."',clevel='".$RESET["PONTUATIVO"]["AFTER_LEVEL"][1]."',".colum_reset."=".colum_reset."+1,money=money-'".$RESET["PONTUATIVO"]["ZEN"][1]."',experience='0',strength='0',dexterity='0',vitality='0',energy='0' where name='".$char."'");
				exit($bbcode->bbcode('<div class="box_conteudo">Personagem resetado com sucesso</div>'));
			}
		}
		if($vip[0] == 2) {
			if($dados[0] < $RESET["PONTUATIVO"]["LEVEL"][2]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário estar no level '.$RESET["PONTUATIVO"]["LEVEL"][2].'</div>'));
			}
			elseif($dados[1] < $RESET["PONTUATIVO"]["ZEN"][2]) {
				exit($bbcode->bbcode('<div class="box_conteudo">Necessário ter '.$RESET["PONTUATIVO"]["ZEN"][2].' de zen</div>'));
			}
			else{
				$point = $dados[2]*$RESET["PONTUATIVO"]["POINTS"][2];
				mssql_query("update character set leveluppoint='".$point."',clevel='".$RESET["PONTUATIVO"]["AFTER_LEVEL"][2]."',".colum_reset."=".colum_reset."+1,money=money-'".$RESET["PONTUATIVO"]["ZEN"][2]."',experience='0',strength='0',dexterity='0',vitality='0',energy='0' where name='".$char."'");
				exit($bbcode->bbcode('<div class="box_conteudo">Personagem resetado com sucesso</div>'));
			}
		}
	}
}
}

?>